Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Class ModeShapeConfiguration.TextExtractorBuilder<ReturnType>

    java.lang.Object
      org.modeshape.repository.ModeShapeConfiguration.BaseReturnable<ReturnType>
          org.modeshape.repository.ModeShapeConfiguration.GraphReturnable<ReturnType,ThisType>
              org.modeshape.repository.ModeShapeConfiguration.GraphComponentBuilder<ReturnType,ModeShapeConfiguration.TextExtractorDefinition<ReturnType>,TextExtractor>
                  org.modeshape.repository.ModeShapeConfiguration.TextExtractorBuilder<ReturnType>

All Implemented Interfaces:
  ModeShapeConfiguration.ChooseClass<TextExtractor,ModeShapeConfiguration.TextExtractorDefinition<ReturnType>>, ModeShapeConfiguration.Removable<ReturnType>, ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<ModeShapeConfiguration.TextExtractorDefinition<ReturnType>>, ModeShapeConfiguration.SetProperties<ModeShapeConfiguration.TextExtractorDefinition<ReturnType>>, ModeShapeConfiguration.TextExtractorDefinition<ReturnType>

Enclosing class:
  ModeShapeConfiguration

    protected static class ModeShapeConfiguration.TextExtractorBuilder<ReturnType>

extends ModeShapeConfiguration.GraphComponentBuilder<ReturnType,ModeShapeConfiguration.TextExtractorDefinition<ReturnType>,TextExtractor>
implements ModeShapeConfiguration.TextExtractorDefinition<ReturnType>

Field Summary

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`batch, context, path`

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`returnObject`

Constructor Summary
`protected` | `ModeShapeConfiguration.TextExtractorBuilder(ReturnType returnObject, Graph.Batch batch, Path path, Name... names)`

Method Summary
`protected ModeShapeConfiguration.TextExtractorBuilder<ReturnType>` | `thisType()`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphComponentBuilder
`usingClass, usingClass`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`createIfMissing, createIfMissing, createIfMissing, getDescription, getName, getProperty, getProperty, remove, setDescription, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, subpath`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Returnable
`and`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetDescription
`getDescription, setDescription`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetProperties
`getProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.ChooseClass
`usingClass, usingClass`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Removable
`remove`

Constructor Detail

### ModeShapeConfiguration.TextExtractorBuilder

    protected ModeShapeConfiguration.TextExtractorBuilder(ReturnType returnObject,
                                                          Graph.Batch batch,
                                                          Path path,
                                                          Name... names)

Method Detail

### thisType

    protected ModeShapeConfiguration.TextExtractorBuilder<ReturnType> thisType()

  Specified by:
    `thisType` in class `ModeShapeConfiguration.GraphReturnable<ReturnType,ModeShapeConfiguration.TextExtractorDefinition<ReturnType>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.